Package de.willuhn.jameica.hbci.gui.controller

# Class KontoControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.KontoControl

public class KontoControl extends de.willuhn.jameica.gui.AbstractControl
Controller der fuer den Dialog "Bankverbindungen" zustaendig ist.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`KontoControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getAccountType()`
Liefert ein Auswahlfeld fuer die Kontoart.
`de.willuhn.jameica.gui.input.Input`
`getBackendAuswahl()`
Liefert das Auswahl-Feld fuer das Backend.
`de.willuhn.jameica.gui.input.Input`
`getBezeichnung()`
Liefert die Bezeichnung des Kontos.
`de.willuhn.jameica.gui.input.Input`
`getBic()`
Liefert das Eingabe-Feld fuer die BIC.
`de.willuhn.jameica.gui.input.Input`
`getBlz()`
Liefert das Eingabe-Feld fuer die Bankleitzahl.
`de.willuhn.jameica.gui.parts.Button`
`getDelButton()`
Liefert den Loesch-Button.
`de.willuhn.jameica.gui.input.Input`
`getIban()`
Liefert das Eingabe-Feld fuer die IBAN.
`de.willuhn.jameica.gui.input.SelectInput`
`getKategorie()`
Liefert ein editierbares Auswahlfeld mit der Kategorie.
`de.willuhn.jameica.gui.input.Input`
`getKommentar()`
Liefert ein Eingabe-Feld fuer einen Kommentar.
`Konto`
`getKonto()`
Liefert die aktuelle Bankverbindung.
`de.willuhn.jameica.gui.parts.TablePart`
`getKontoListe()`
Liefert eine Tabelle mit allen vorhandenen Bankverbindungen.
`de.willuhn.jameica.gui.input.Input`
`getKontonummer()`
Liefert das Eingabe-Feld fuer die Kontonummer.
`de.willuhn.jameica.gui.input.Input`
`getKundennummer()`
Liefert das Eingabefeld fuer die Kundennummer.
`de.willuhn.jameica.gui.input.Input`
`getName()`
Liefert den Namen des Konto-Inhabers.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getOffline()`
Liefert eine Checkbox, mit der festgelegt werden kann, ob es sich um ein Offlinekonto handelt.
`PassportInput`
`getPassportAuswahl()`
Liefert das Auswahl-Feld fuer das Sicherheitsmedium.
`de.willuhn.jameica.gui.parts.Button`
`getProtoButton()`
Liefert den Button fuer die Protokolle.
`de.willuhn.jameica.gui.Part`
`getProtokoll()`
Liefert eine Tabelle mit dem Protokoll des Kontos.
`de.willuhn.jameica.gui.input.Input`
`getSaldo()`
Liefert ein Feld zur Anzeige des Saldos.
`de.willuhn.jameica.gui.input.Input`
`getSaldoAvailable()`
Liefert ein Feld fuer den verfuegbaren Betrag.
`de.willuhn.jameica.gui.Part`
`getSaldoChart()`
Liefert einen Chart mit dem Saldo des Kontos.
`de.willuhn.jameica.messaging.MessageConsumer`
`getSaldoMessageConsumer()`
Liefert einen Saldo-MessageConsumer.
`de.willuhn.jameica.gui.parts.Button`
`getSynchronizeOptions()`
Liefert einen Button, ueber den die Synchronisierungsdetails konfiguriert werden.
`de.willuhn.jameica.gui.Part`
`getUmsatzList()`
Liefert eine Tabelle mit den Umsaetzen des Kontos.
`de.willuhn.jameica.gui.input.Input`
`getUnterkonto()`
Liefert das Eingabe-Feld fuer die Unterkontonummer.
`void`
`handleReload()`
Laedt die Tabelle mit den Umsaetzen neu.
`void`
`handleStore()`
Speichert das Konto.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoControl

public KontoControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getKonto

public Konto getKonto() throws RemoteException
Liefert die aktuelle Bankverbindung.

Returns:
  Bankverbindung.
Throws:
  `RemoteException`

### getProtokoll

public de.willuhn.jameica.gui.Part getProtokoll() throws RemoteException
Liefert eine Tabelle mit dem Protokoll des Kontos.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getUmsatzList

public de.willuhn.jameica.gui.Part getUmsatzList() throws RemoteException
Liefert eine Tabelle mit den Umsaetzen des Kontos.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getSaldoChart

public de.willuhn.jameica.gui.Part getSaldoChart() throws RemoteException
Liefert einen Chart mit dem Saldo des Kontos.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getKontonummer

public de.willuhn.jameica.gui.input.Input getKontonummer() throws RemoteException
Liefert das Eingabe-Feld fuer die Kontonummer.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getOffline

public de.willuhn.jameica.gui.input.CheckboxInput getOffline() throws RemoteException
Liefert eine Checkbox, mit der festgelegt werden kann, ob es sich um ein Offlinekonto handelt.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### getUnterkonto

public de.willuhn.jameica.gui.input.Input getUnterkonto() throws RemoteException
Liefert das Eingabe-Feld fuer die Unterkontonummer.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getSynchronizeOptions

public de.willuhn.jameica.gui.parts.Button getSynchronizeOptions() throws RemoteException
Liefert einen Button, ueber den die Synchronisierungsdetails konfiguriert werden.

Returns:
  Button.
Throws:
  `RemoteException`

### getProtoButton

public de.willuhn.jameica.gui.parts.Button getProtoButton() throws RemoteException
Liefert den Button fuer die Protokolle.

Returns:
  der Button fuer die Protokolle.
Throws:
  `RemoteException`

### getDelButton

public de.willuhn.jameica.gui.parts.Button getDelButton() throws RemoteException
Liefert den Loesch-Button.

Returns:
  der Loesch-Button.
Throws:
  `RemoteException`

### getBlz

public de.willuhn.jameica.gui.input.Input getBlz() throws RemoteException
Liefert das Eingabe-Feld fuer die Bankleitzahl.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getName

public de.willuhn.jameica.gui.input.Input getName() throws RemoteException
Liefert den Namen des Konto-Inhabers.

Returns:
  Name des Konto-Inhabers.
Throws:
  `RemoteException`

### getBezeichnung

public de.willuhn.jameica.gui.input.Input getBezeichnung() throws RemoteException
Liefert die Bezeichnung des Kontos.

Returns:
  Bezeichnung des Kontos.
Throws:
  `RemoteException`

### getKundennummer

public de.willuhn.jameica.gui.input.Input getKundennummer() throws RemoteException
Liefert das Eingabefeld fuer die Kundennummer.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPassportAuswahl

public PassportInput getPassportAuswahl() throws RemoteException, de.willuhn.util.ApplicationException
Liefert das Auswahl-Feld fuer das Sicherheitsmedium.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getBackendAuswahl

public de.willuhn.jameica.gui.input.Input getBackendAuswahl() throws RemoteException, de.willuhn.util.ApplicationException
Liefert das Auswahl-Feld fuer das Backend.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getAccountType

public de.willuhn.jameica.gui.input.Input getAccountType() throws RemoteException
Liefert ein Auswahlfeld fuer die Kontoart.

Returns:
  Auswahlfeld fuer die Kontoart.
Throws:
  `RemoteException`

### getSaldo

public de.willuhn.jameica.gui.input.Input getSaldo() throws RemoteException
Liefert ein Feld zur Anzeige des Saldos.

Returns:
  Anzeige-Feld.
Throws:
  `RemoteException`

### getSaldoAvailable

public de.willuhn.jameica.gui.input.Input getSaldoAvailable() throws RemoteException
Liefert ein Feld fuer den verfuegbaren Betrag.

Returns:
  Feld mit dem verfuegbaren Betrag.
Throws:
  `RemoteException`

### getKommentar

public de.willuhn.jameica.gui.input.Input getKommentar() throws RemoteException
Liefert ein Eingabe-Feld fuer einen Kommentar.

Returns:
  Kommentar.
Throws:
  `RemoteException`

### getIban

public de.willuhn.jameica.gui.input.Input getIban() throws RemoteException
Liefert das Eingabe-Feld fuer die IBAN.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getBic

public de.willuhn.jameica.gui.input.Input getBic() throws RemoteException
Liefert das Eingabe-Feld fuer die BIC.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getKategorie

public de.willuhn.jameica.gui.input.SelectInput getKategorie() throws RemoteException
Liefert ein editierbares Auswahlfeld mit der Kategorie.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getSaldoMessageConsumer

public de.willuhn.jameica.messaging.MessageConsumer getSaldoMessageConsumer()
Liefert einen Saldo-MessageConsumer.

Returns:
  Consumer.

### getKontoListe

public de.willuhn.jameica.gui.parts.TablePart getKontoListe() throws RemoteException
Liefert eine Tabelle mit allen vorhandenen Bankverbindungen.

Returns:
  Tabelle mit Bankverbindungen.
Throws:
  `RemoteException`

### handleStore

public void handleStore()
Speichert das Konto.

### handleReload

public void handleReload()
Laedt die Tabelle mit den Umsaetzen neu.